openSUSE-SU-2021:1345-1: Security update for git

openSUSE Security Update: Security update for git______________________________________________________________________________Announcement ID: openSUSE-SU-2021:1345-1Rating: lowReferences: #1189992 Cross-References: CVE-2021-40330CVSS scores: CVE-2021-40330 (SUSE): 5.4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:NAffected Products: openSUSE Leap 15.2______________________________________________________________________________ An update that fixes one vulnerability is now available.Description: This update for git fixes the following issues: - CVE-2021-40330: Fixed unexpected cross-protocol requests via newline character in git_connect_git repository path (bsc#1189992). This update was imported from the SUSE:SLE-15:Update update project.Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-1345=1Package List: - openSUSE Leap 15.2 (i586 x86_64): git-2.26.2-lp152.2.12.1 git-arch-2.26.2-lp152.2.12.1 git-core-2.26.2-lp152.2.12.1 git-core-debuginfo-2.26.2-lp152.2.12.1 git-credential-gnome-keyring-2.26.2-lp152.2.12.1 git-credential-gnome-keyring-debuginfo-2.26.2-lp152.2.12.1 git-credential-libsecret-2.26.2-lp152.2.12.1 git-credential-libsecret-debuginfo-2.26.2-lp152.2.12.1 git-cvs-2.26.2-lp152.2.12.1 git-daemon-2.26.2-lp152.2.12.1 git-daemon-debuginfo-2.26.2-lp152.2.12.1 git-debuginfo-2.26.2-lp152.2.12.1 git-debugsource-2.26.2-lp152.2.12.1 git-email-2.26.2-lp152.2.12.1 git-gui-2.26.2-lp152.2.12.1 git-p4-2.26.2-lp152.2.12.1 git-svn-2.26.2-lp152.2.12.1 git-svn-debuginfo-2.26.2-lp152.2.12.1 git-web-2.26.2-lp152.2.12.1 gitk-2.26.2-lp152.2.12.1 - openSUSE Leap 15.2 (noarch): git-doc-2.26.2-lp152.2.12.1References: https://www.suse.com/security/cve/CVE-2021-40330.html https://bugzilla.suse.com/1189992

More…